body {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    display: flex;
    font-family: 'VT323', monospace;
}


/* LEFT SECTION */

section.left {
    background-image: url('image/background.jpg');
    background-size: cover;
    width: 40%;
    height: 100vh;
}

div.logo {
    display: flex;
    justify-content: center;
    position: relative;
    top: 20%;
    display: flex;
    align-items: center;
    font-family: 'Creepster', cursive;
    font-size: 70px;
    color: white;
    background-color: #00000020;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 120px;
}

img.logo {
    width: 100px;
    height: 100px;
}



/* RIGHT SECTION */

section.right {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 60%;
}

div.promotext {
    font-size: 30px;
    line-height: 1.2;
    padding: 0 30px;
}


/* FORM */

form {
    display: grid;
    grid-template-columns: 1fr 1fr;
    box-shadow: 5px 5px 5px rgb(187, 186, 186);
    width: 100%;
    height: 35%;
    padding: 15px 30px;
}

label {
    display: block;
    margin: 10px 0;
}

input {
    width: 200px;
    height: 20px;
}

select {
    width: 80px;
    height: 26px;

}

select:focus {
    outline: none !important;
    border: 1.5px solid #d5e152;
    box-shadow: 0 0 10px #d5e152;
}

select:invalid:focus,
select.invalid {
    outline: none !important;
    border: 1.5px solid red;
    box-shadow: 0 0 10px red;
}

input#phone_number {
    width: 115px;
}

input:focus:not(#confirm_password) {
    outline: none !important;
    border: 1.5px solid #d5e152;
    box-shadow: 0 0 10px #d5e152;
}

input:invalid:focus:not(#confirm_password),
input.invalid:not(#confirm_password) {
    outline: none !important;
    border: 1.5px solid red;
    box-shadow: 0 0 10px red;
}


/* BOTTOM PART */

div.button {
    padding: 30px;
}

button {
    background-color: #617A55;
    transition: all 0.25s;
    font-family: 'Creepster', cursive;
    padding: 5px 10px;
    height: 40px;
    font-size: 20px;
    border-radius: 16px;
    white-space: nowrap;
    color: white;
}

button:hover {
    background-color: #f1ff5c;
    color: #617A55;
    transform: translateY(-0.24em);
    cursor: pointer;
}

.button>p {
    margin: 10px;
}

a {
    color: #497f30;
}

a:hover {
    color: #f1ff5c;
    background-color: #617A55;
}


@media (max-width: 1085px) {

    div.logo {
        font-size: 50px;
    }

    img.logo {
        width: 70px;
        height: 70px;
    }

    div.promotext {
        font-size: 20px;
        line-height: 1.0;
        padding: 0 15px;
    }

    form {
        padding: 5px 15px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input {
        width: 150px;
        height: 15px;
    }

    select {
        width: 30px;
        height: 21px;

    }

    div.button {
        padding: 15px;
    }
}


@media (max-width: 780px) or (max-height: 400px) {

    body {
        width: 100vw;
        height: 100vh;
        background-image: url('image/background.jpg');
        background-size: cover;
        flex-direction: column;
        align-items: center;
    }

    section.left {
        background-image: none;
        width: 100%;
        height: 20vh;
    }

    div.logo {
        background-color: transparent;
    }

    section.right {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%
    }

    div.promotext {
        text-align: center;
        font-size: 20px;
        color: white;
        margin: 40px 0;
    }

    form {
        box-shadow: none;
        gap: 20px 0;
    }

    form>div {
        color: white;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    input {
        width: 150px;
        height: 20px;
    }

    select {
        width: 70px;
        height: 26px;
    }

    input#phone_number {
        width: 80px;
    }

    div.button {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: 30px 0;
    }

    .button>p {
        color: white;
        margin: 30px 0;
    }

    a {
        color: #f1ff5c;
    }

}


@media (max-width: 400px) {

    div.logo {
        font-size: 40px;
    }

    div.promotext {
        font-size: 17px;
    }

    input {
        width: 120px;
        height: 15px;
    }

    select {
        width: 60px;
        height: 21px;

    }

    input#phone_number {
        width: 50px;
    }

}